tsc = {}

function tsc.think()
	if tsc.nod and input.btn_start & 1<<BTN.OK ~= 0
		tsc.nod = false
		net.tsc_nod()
		return
	end
	if tsc.addtext and tsc.addtext[1] ~= #tsc.addtext[2]
		if tsc.addtext[3] == 0
			tsc.addtext[1] = tsc.addtext[1] + 1
			if input.buttons & 1<<BTN.OK ~= 0
				tsc.addtext[3] = 1
			else
				tsc.addtext[3] = 5
			end
			local char = tsc.addtext[2]:sub(tsc.addtext[1],tsc.addtext[1])
			if char == '\n'
				table.insert(tsc.msgtext,1,"")
				tsc.msgtext[4] = nil
			else
				tsc.msgtext[1] = (tsc.msgtext[1] or "") .. char
			end
		else
			tsc.addtext[3] = tsc.addtext[3] - 1
		end
		if tsc.addtext[1] == #tsc.addtext[2]
			tsc.addtext = nil
			net.tsc_text()
			return
		end
	end
end

function tsc.reset()
	tsc.msgbox = nil
	tsc.msgtext = {}
	tsc.nod = false
	tsc.addtext = nil
end
